------------------------------------------------------------------------------------
--Name：            211123[简体征服][活动脚本]全球圣诞元旦活动
--Creator:      耿力兀
--Created:     2021-11-23
------------------------------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(99,109)
local player5 = CppScriptMgr:AddSimplePlayer(23400,101,106,"Demon Dragon",4003000015,1)
local player1 = CppScriptMgr:AddSimplePlayer(11386,93,111,"Snowman being Hunted",4003000011,1)
local player2 = CppScriptMgr:AddSimplePlayer(11386,91,115,"Snowman being Hunted",4003000012,1)
local player3 = CppScriptMgr:AddSimplePlayer(11385,98,119,"Snowman being Hunted",4003000013,1)
local player4 = CppScriptMgr:AddSimplePlayer(11383,107,117,"Snowman being Hunted",4003000014,1)
player1:SetDir(6)
player2:SetDir(6)
player3:SetDir(5)
player4:SetDir(3)

player1:Say("Boohoo... #08#08#08It`s horrifying.",2000)
player3:Say("Demon Dragon, the Red-hood Witch follower, wants to kill us!",2000)
CppScriptMgr:WaitMilSec(2000)
player2:Say("Help us, please!",2000)
player4:Say("The flames from Demon Dragon will melt us down!",2000)
CppScriptMgr:WaitMilSec(2000)
player5:Say("You`re not able to run away. Drop dead!",2000)
CppScriptMgr:WaitMilSec(1000)
local effectObj1 = CppScriptMgr:AddEffect("recovery",100,114)
local hero = CppScriptMgr:QueryHero();
hero:SetPos(100,114);
hero:SetDir(5)
CppScriptMgr:WaitMilSec(1000)
hero:SetAction(230);
hero:Say("Don`t be afraid! I`ll save you!",2000)
CppScriptMgr:WaitMilSec(2000)
player5:Say("Take the flames!",1500)
CppScriptMgr:WaitMilSec(2000)
local effectObj10 = CppScriptMgr:AddEffect("firemagic",92,112)
local effectObj11 = CppScriptMgr:AddEffect("firemagic",103,117)
CppScriptMgr:WaitMilSec(2000)

local effectObj3 = CppScriptMgr:AddEffect("M_Fire",93,111)
local effectObj4 = CppScriptMgr:AddEffect("M_Fire",91,115)
local effectObj5 = CppScriptMgr:AddEffect("M_Fire",98,119)
local effectObj6 = CppScriptMgr:AddEffect("M_Fire",107,117)
CppScriptMgr:WaitMilSec(2000)
player1:Say("Hot! Hot!",2000)
player2:Say("My... my arms are melting away!",2000)
CppScriptMgr:WaitMilSec(2000)
player3:Say("Wahh... I don`t wanna become water.",2000)
hero:Say("Demon Dragon! Stop bullying the weak! Try me!",2000)
hero:WalkTo(100,108)
CppScriptMgr:WaitMilSec(2000)
hero:SetAction(401);
CppScriptMgr:WaitMilSec(2000)
player5:Say("Stupid human, Red-hood Witch will make you pay!",2000)
CppScriptMgr:WaitMilSec(1000)
player5:JumpTo(95,69);
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(1000);
player1:SetPos(343,342)
player2:SetPos(343,342)
player3:SetPos(343,342)
player4:SetPos(343,342)
player5:SetPos(343,342)
hero:SetPos(100,114);
CppScriptMgr:WaitMilSec(1000)

-- 镜头二
local player6 = CppScriptMgr:AddSimplePlayer(106146,93,111,"Damaged Snowman",4003000016,1)
local player7 = CppScriptMgr:AddSimplePlayer(4996,91,115,"Damaged Snowman",4003000017,1)
local player8 = CppScriptMgr:AddSimplePlayer(106145,98,119,"Damaged Snowman",4003000018,1)
local player9 = CppScriptMgr:AddSimplePlayer(4983,107,117,"Damaged Snowman",4003000019,1)
player6:SetZoomPercent(150);
player7:SetZoomPercent(150);
player8:SetZoomPercent(150);
player9:SetZoomPercent(150);
player6:SetDir(6)
player7:SetDir(6)
player8:SetDir(5)
player9:SetDir(3)

player6:Say("Sobbing.",2000)
player9:Say("Are we dying?",2000)
CppScriptMgr:WaitMilSec(2000)
player8:Say("Weeping.",2000)
player7:Say("Please go to find some Magic Snowballs!",2000)
CppScriptMgr:WaitMilSec(2000)

local effectObj9 = CppScriptMgr:AddEffect("recovery",101,106)
CppScriptMgr:WaitMilSec(1000)
local player10 = CppScriptMgr:AddSimplePlayer(1050146,101,106,"Keats",4003000020,1)
player10:SetAction(200);
player10:Say("Please take these Magic Snowballs to Xmas Dungeon.",2000)
CppScriptMgr:WaitMilSec(2000)

hero:SetAction(160);
hero:Say("    #33#33#33Why?",2000)
CppScriptMgr:WaitMilSec(2000)
player10:Say("Magic Snowballs can be used to repair snowmen. Many snowmen in the dungeon need them now!",2000)
CppScriptMgr:WaitMilSec(2000)
hero:SetAction(200);
hero:Say("I`m going now!",2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000);